`Build.list.yeast.homology.data` <-
function(list.ORFID=NULL) {
  library(scehomology);
	if(!exists("ORF2HGID"))
    data(ORF2HGID);
  if (is.null(list.ORFID))  {
	# get the Entrez Gene ID from the package YEAST
	   library(YEAST);
	   list.ORFID<-ls(YEASTGO);
	}
		 
	# get the corresponding Homologene ID:
	hgid.yeast <- mget(list.ORFID, ORF2HGID, ifnotfound=list(NA));
	hgid.yeast <- hgid.yeast[!is.na(hgid.yeast)];
  l <- mget(sapply(hgid.yeast,function(x) x),scehomologyDATA);
	names(l) <- names(hgid.yeast);
	return(l);
}

