`GO.transitive.closure` <-
function(x, ontology="BP") {
   len <- length(x);
	 v <- vector();
	 if (ontology == "BP") {
		 for (i in 1:len) {
		ancestors <- AnnotationDbi::mget(x[[i]],GOBPANCESTOR, ifnotfound=NA); 
				if (is.na(ancestors)) {
			  	 v <- c(v, "GO:0008150")
				} else  v <- c(v, ancestors[[1]], x[[i]]);			
		 }
	 } else if (ontology == "MF") {
		 for (i in 1:len) {
		ancestors <- AnnotationDbi::mget(x[[i]],GOMFANCESTOR, ifnotfound=NA);
				if (is.na(ancestors)) {
			  	 v <- c(v, "GO:0003674")
				} else  v <- c(v, ancestors[[1]], x[[i]]);			
		 }
	 } else if (ontology == "CC") {
		 for (i in 1:len) {
		ancestors <- AnnotationDbi::mget(x[[i]],GOCCANCESTOR, ifnotfound=NA);
		                if (is.na(ancestors)) {
			  	 v <- c(v, "GO:0005575")
				} else  v <- c(v, ancestors[[1]], x[[i]]);			
		 }
	 } else stop("GO.transitive.closure : ontology not supported"); 
   v <- unique(v);
	 v <- v[v!="all"];
	 return(v);
}
