\name{ATGO}
\alias{ATGO}
\docType{data}
\title{ AGI identifiers to Gene Ontology (GO) mapping }
\description{
  This environment provides a mapping between A.thaliana genes and GO terms.
}
\usage{data(ATGO)}
\format{
  An environment (hash table) with 28234 entries
}
\details{
The environment provides GO annotations for the model  plant Arabidopsis thaliana.
AGI identifiers are Keys and GO terms Values.
More precisely each Value is a list of lists. Each element of the outer list represent a mapping
to a GO term. The elements of the inner list are:
\item  GOID : GO Identifier
\item  Evidence :  Evidence code
\item  Ontology : "BP", "MF" or "CC"  
}
\source{
Data have been downloaded from Arabidopsis Information Resource (TAIR): 
  \url{http://www.arabidopsis.org}. The actual file used for the annotations has been downloaded from:
	 \url{ftp://ftp.arabidopsis.org/home/tair/Ontologies/Gene_Ontology/ATH_GO_GOSLIM.20070929.txt}
}
\examples{
data(ATGO)
get("at1g01100",ATGO);
}
\keyword{datasets}

