\name{Build.Funcat.Table.labels}
\alias{Build.Funcat.Table.labels}

\title{ Construction of a data frame that maps genes to multiple FunCat functional classes }
\description{
  It builds a boolean data.frame with genes (rows) and class codes (columns/variables).
	If gene i belongs to class j the data.frame d[i,j] = 1, otherwise it is set to 0.
}
\usage{
Build.Funcat.Table.labels(NamesToFuncat, store = FALSE, file = "Table.gene.Funcat.classes.rda")
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{NamesToFuncat}{ named list of vectors. Each element of the list corresponds to a named  gene and the elements
    of the vector are the corresponding Funcat classes ID.  }
  \item{store}{ boolean: if TRUE the result is stored in a binary file }
  \item{file}{ name of the file where the data.frame is stored (if store == TRUE) }
}
\value{
  a data.frame with columns corresponding to Funcat classes and rows to a given gene. If a gene
 belongs to the Funcat class the corresponding column is set to 1 otherwise to 0.
}

\seealso{ \code{\link{Get.Funcat.specific.classes}}, \code{\link{Get.Funcat.all.classes}} }
\examples{
# building of a data frame with multiple FunCat functional labels for the yeast
Yeast.Funcat.specific <- Get.yeast.Funcat.specific.classes();
Yeast.Funcat.general <- Get.yeast.Funcat.all.classes(Yeast.Funcat.specific);
Yeast.Funcat.Table <- Build.Funcat.Table.labels(Yeast.Funcat.general);
}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{ manip }
