\name{Build.GO.class.labels}
\alias{Build.GO.class.labels}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{ Construction of a data frame that maps genes to multiple GO classes }
\description{
  It builds from the list of gene->GOID a boolean data frame with genes (rows) and class codes (columns).
  If gene i belongs to class j the data frame d[i,j] = 1, otherwise it is set to 0.
}
\usage{
Build.GO.class.labels(NamesToGO, store = FALSE, file = "Table.gene.GO.classes.rda")
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{NamesToGO}{ named list of vectors. Each element of the list corresponds to a named  gene and the elements
	                  of the vector are the corresponding GO classes ID }
  \item{store}{ if TRUE the result is stored in a binary file }
  \item{file}{ name of the file where the data frame is stored (if store == TRUE) }
}
\value{
  a data frame (functional table) with variables corresponding to GO classes and rows to a given gene. If a gene
                 belongs to the GO class the corresponding variable is set to 1 otherwise to 0.
}

\seealso{ \code{\link{Get.GO.specific.classes}}, \code{\link{Get.GO.all.classes}} }
\examples{
# building of a data frame with multiple GO functional labels for the yeast
Yeast.specific <- Get.yeast.GO.specific.classes();
Yeast.general <- Get.yeast.GO.all.classes(Yeast.specific);
Yeast.general.classes <- Build.GO.class.labels(Yeast.general);
}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{ manip }
