\name{Build.GO.graph.from.selected.nodes}
\alias{Build.GO.graph.from.selected.nodes}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{ Construction of a subgraph of a given GO graph }
\description{
  It builds a subgraph of a given GO graph form a list of GO classes (nodes)
}
\usage{
Build.GO.graph.from.selected.nodes(g, nodes, transitive.closure = TRUE , ontology="BP")
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{g}{ a GO graph }
  \item{nodes}{list or character vector of the selected nodes }
  \item{transitive.closure}{ if TRUE (default) the nodes used for building the graph are obtained by transitive closure of nodes }
	\item{ontology}{ a character vector denoting the ontology : BP (default), MF, CC }
}
\details{
 The subgraph can be obtained from a list of selected nodes or by transitive closure from a list of selected nodes
 If some of the selected nodes are not present in the graph the execution is aborted with an error message.
}
\value{
  a subgraph extracted from the graph g
}

\seealso{ \code{\link{GO.transitive.closure}}, \code{\link{Build.universal.graph.ontology.down}} }
\examples{
# building a subgraph with yeast specific nodes 
g <- Build.universal.graph.ontology.down();
Yeast.specific <- Get.yeast.GO.specific.classes();
selected.classes <- Get.classes(Yeast.specific);
sg <- Build.GO.graph.from.selected.nodes(g, selected.classes, transitive.closure = TRUE);
}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{ graphs }
