\name{Build.list.homology.data}
\alias{Build.list.homology.data}
\alias{Build.list.arabidopsis.homology.data}
\alias{Build.list.human.homology.data}
\alias{Build.list.yeast.homology.data}
\alias{Build.list.mouse.homology.data}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{ Construction of the list of lists of homology data for different species }
\description{
  Functions to build  the list of lists of homology data for different species.
}
\usage{
Build.list.arabidopsis.homology.data(list.HGID = NULL)
Build.list.human.homology.data(list.EntrezGeneID = NULL)
Build.list.yeast.homology.data(list.ORFID = NULL)
Build.list.mouse.homology.data(list.EntrezGeneID = NULL)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{list.HGID}{  a vector of HomoloGeneID for the Arabidopsis species.
                    If NULL (default) the list of HomoloGeneID is obtained from the the vector athhomologyHGID 
                    of the package athhomology }
  \item{list.EntrezGeneID} {a vector of Entrez Gene ID for the human/mouse species.
                            If NULL (default) the list of Entrez Gene ID is obtained from the package humanLLMappings/mouseLLMappings}
	\item{list.ORFID} {a vector of ORF ID for the yeast species. If NULL (default) the list of ORFID is obtained from the the environment YEASTGO of the package YEAST }
}
\details{
  Each element of the list corresponds to a specific gene;
 each gene has a list of homology data (one for each species and type of homology).
 Data are obtained from Bioconductor packages \pkg{athhomology}, \pkg{hsahomology}, \pkg{scehomology}, \pkg{mmuhomology}
 version 1.16.0.
}
\value{
 a list of lists of homology data: for each gene ID a list of homology data is given.
 The element of the inner list are:
 \item{ homoORG }{organism for which there is a homologous gene. 
 This will be an abbreviation of the first letter of the genus and the first two letters of the species.}
 \item{homoType }{type of similarity measurement. This can be either B, indicating a reciprocal best best  
                  match between three or more organisms, b, indicating a reciprocal best match between two organisms, 
									or c, indicating a curated homology relationship between two organisms.}
 \item{homoPS }{percentage of identical base pair alignments between the homologous genes}
 \item{homoHGID }{the internal HomoloGeneId.}
 \item{homoURL }{url to the source for a curated homology}
}

\examples{
l.human <- Build.list.human.homology.data();
l.Ath <- Build.list.arabidopsis.homology.data();
}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{ manip }

