\name{Compute.distances.from.root}
\alias{Compute.distances.from.root}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{ Computing all the distances from the root of a given ontology }
\description{
  Function to compute all the distances from the root of a given ontology
  The Dijkstra algorithm is used to compute the shortest paths (distances)
  from the root of the ontology to all the other nodes of the graph.
	It may be used also to compute the path length from the root of the FunCat ontology to all the other nodes of the tree.
}
\usage{
Compute.distances.from.root(g, ontology = "BP")
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{g}{ a graph of a GO or Funcat ontology: it must be rooted to the root note of the ontology }
  \item{ontology}{ BP (default), MF, CC, 00 (Funcat) }
}
\value{
  a named vector with the distance from the root of the GO DAG or FunCat tree
}
\seealso{ \code{\link{Compute.depth.statistics.GO.graph}} }
\examples{
# Computing the distances from the root of the GO terms related to "universal" BP GO graph
gBP.universal.ontology <- Build.universal.graph.ontology.down();
d <- Compute.distances.from.root(gBP.universal.ontology, ontology="BP");
}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{ graphs }

