\name{Compute.statistics.degree}
\alias{Compute.statistics.Funcat.degree}
\alias{Compute.statistics.GO.degree}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{ Statistics about the distribution of the in and out degree of GO and FunCat nodes }
\description{
  The functions provide basic statistics about the distribution of the in and out degree of GO nodes and the out
	degree of FunCat nodes.
}
\usage{
Compute.statistics.Funcat.degree(g)
Compute.statistics.GO.degree(g)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{g}{ a GO or FunCat graph }
}
\details{
  The function \code{Compute.statistics.Funcat.degree} provides statistics about the out degree of FunCat nodes: the average, median, standard
	deviation and main quantiles of the nodes degrees are computed, as well as the degree of each individaul node.
	The function \code{Compute.statistics.GO.degree} is similar, but provides both the in and out degree statistics for GO nodes
	(GO is a DAG indeed).
}
\value{
  For \code{Compute.statistics.Funcat.degree}, a list with two elements:
	\item{outDegree }{a list of 4 elements: avg : mean value of the out degree per Funcat class;
                                          median : median value of the out degree per Funcat class
                                          sd : standard deviation of the out degree per  Funcat class
                                          quant : 0\%, 25\%, 50\%, 75\%, 100\% quantile of the out degree per Funcat class}
  \item{degree }{a list with the out degree for each Funcat class}
	For \code{Compute.statistics.GO.degree}, a list with three elements:
	\item{outDegree }{a list of 4 elements: avg : mean value of the out degree per GO class;
                                          median : median value of the out degree per GO class
                                          sd : standard deviation of the out degree per GO class
                                          quant : 0\%, 25\%, 50\%, 75\%, 100\% quantile of the out degree per GO class}
	\item{inDegree }{a list of 4 elements: avg : mean value of the in degree per GO class;
                                          median : median value of the in degree per GO class
                                          sd : standard deviation of the in degree per GO class
                                          quant : 0\%, 25\%, 50\%, 75\%, 100\% quantile of the in degree per GO class}
	\item{degree}{a list with the in and out degree for each GO class}
}
\examples{
# Computing the distances from the root of the GO terms related to "universal" CC GO graph
gBP.universal.ontology <- Build.universal.graph.ontology.down("CC");
l <- Compute.statistics.GO.degree(gBP.universal.ontology);
}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{ graphs }
