\name{Compute.statistics.functional.classes}
\alias{Compute.statistics.functional.classes}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{ Statistics about the distribution of the functional classes }
\description{
 Function that provides statistics about the distribution of GO or FunCat functional classes.
 It may be used with both GO and Funcat ontologies. It computes the average, median, standard deviation and main quantiles
 of the cardinality of the functional gene classes. 
}
\usage{
Compute.statistics.functional.classes(Table.gene.class)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{Table.gene.class}{ a data frame with variables corresponding to functional classes and rows to a given gene. If a gene
                  belongs to the functional class the corresponding variable is set to 1 otherwise to 0 }
}
\value{
  A list with four elements:
  \item{avg}{mean value of the number of genes per functional class}
  \item{median}{median value of the numberof genes per functional class}
  \item{sd}{standard deviation of the number of genes per functional class}
  \item{quant}{0\%, 25\%, 50\%, 75\%, 100\% quantile of the number of genes per functional class}
}
\examples{
# computing statistics about yeast FunCat classes
Yeast.Funcat.specific <- Get.yeast.Funcat.specific.classes();
Yeast.Funcat.general <- Get.Funcat.all.classes(Yeast.Funcat.specific);
Yeast.Funcat.Table <- Build.Funcat.Table.labels(Yeast.Funcat.general);
# the first variable refers to the dummy "00" class
Compute.statistics.functional.classes(Yeast.Funcat.Table[,2:ncol(Yeast.Funcat.Table)]); 
}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{univar}
