\name{Compute.depth.statistics.GO.graph}
\alias{Compute.depth.statistics.GO.graph}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{ Statistics about the "depth" of the nodes in a given GO graph }
\description{
 Function that provides statistics about the "depth" of the nodes in a given GO graph. 
 It can be used also with Funcat trees (represented as graphs) to provide basic statistics about the depth of the tree. 
 The distances (shortest paths) from the root of the DAG are computed for all nodes and basic statistic are returned.
 This function can be used also with graphs relative to Funcat hierarchical trees.
 It computes the average median, standard deviation and main quantiles of the distances from the root.
}
\usage{
Compute.depth.statistics.GO.graph(g, ontology = "BP")
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{g}{ a graph of a GO/FunCat ontology: it must be rooted to the root note of the ontology }
  \item{ontology}{ BP (default), MF, CC, 00 (FunCat) }
}
\value{
   A list with four elements:
  \item{avg }{mean value of  the distances from the root}
  \item{median }{median value of the distances from the root}
  \item{sd }{standard deviation of the distances from the root}
	\item{quant }{0\%, 25\%, 50\%, 75\%, 100\% quantile of the distances from the root}
}
\seealso{ \code{\link{Compute.depth.statistics.Funcat.labels}}}
\examples{
# Computing depth statistics of the GO terms related to "universal" BP GO graph
gBP.universal.ontology <- Build.universal.graph.ontology.down();
Compute.depth.statistics.GO.graph(gBP.universal.ontology);
}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{univar}
