\name{Get.Funcat.specific.classes}
\alias{Get.Funcat.specific.classes}
\alias{Get.yeast.Funcat.specific.classes}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{ Function to get all the most specific FunCat classes for each gene of a given species}
\description{
  Function to get all the most specific FunCat classes for each gene of a given species, for a given evidence.
	It obtains, from the environment mapping gene IDs of a given species to the most specific FunCat annotation,
	a corresponding list of named vectors. Each elemnent of the list corresponds to a named gene, and the vector
	to the FunCat IDs of the most specific annotated classes.
}
\usage{
Get.Funcat.specific.classes(GeneID2Funcat, evidence = "")
Get.yeast.Funcat.specific.classes(evidence = "")
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{GeneID2Funcat}{ an environment mapping gene IDs to Funcat classes }
  \item{evidence}{  evidence code. It may be a vector with 1 or more Funcat evidence code entries entries.
  if an empty string is provided,all the evidence codes are accepted (default)               }
}
\value{
  A named list of vectors. Each element of the list corresponds to a named gene and the elements
  of the vector are the corresponding Funcat classes ID  
}
\details{
  The semantic of \code{Get.yeast.Funcat.specific.classes} is the same of \code{Get.Funcat.specific.classes},
	but restricted to species yeast. For this reason no environment need to be supplied to the function
	\code{Get.yeast.Funcat.specific.classes}
}
\seealso{ \code{\link{Get.Funcat.all.classes}} }
\examples{
# Obtaining the most specific FunCat annotations for the genes of A. thaliana
data(ATFUNCAT);
Ath.specific <- Get.Funcat.specific.classes (ATFUNCAT, evidence="");
}
\keyword{ manip }
\keyword{ graphs }
