\name{Get.matrix.positive.data.for.classid}
\alias{Get.matrix.positive.data.for.classid}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{ Data matrix construction for a binary classification problem: positives only }
\description{
  This function builds a data set for a specific class within the FunCat taxonomy or GO
	using positive examples only, that is only examples beloning to the selected functional class.
	No negative examples are added.
}
\usage{
Get.matrix.positive.data.for.classid(Table.gene.class, classid, data.matrix)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
\item{Table.gene.class}{ a data frame with columns corresponding to Funcat or GO classes and rows to a given gene. If a gene
  belongs to the Funcat/GO class the corresponding column is set to 1 otherwise to 0. }
  \item{classid}{ GO/FunCat ID of the the class to be extracted from Table.gene.class }
  \item{data.matrix}{ matrix of the  data from which  genes of selected class are extracted. Rows correspond to genes and columns to the features
	                    associated to each gene }
}
\value{
 a matrix of the data values (rows are genes, columns variables)
}
\seealso{ \code{\link{Get.matrix.data.for.classid}}, \code{\link{Get.matrix.data.from.parent.only}}, \code{\link{Get.matrix.data.without.ancestors}}}
\examples{
# building a data set of gene expression data for the yeast (considering only TAS annotations) for the class "GO:0000902"
Yeast.specific.TAS <- Get.yeast.GO.specific.classes(evidence="TAS");
Yeast.general.TAS <- Get.yeast.GO.all.classes(Yeast.specific.TAS);
Yeast.GO.Table.TAS <- Build.GO.class.labels(Yeast.general.TAS);
library(yeastCC);
data.expression <- exprs(spYCCES);
data.expression.specific.class <- Get.matrix.positive.data.for.classid(Yeast.GO.Table.TAS, classid="GO:0000902", data.expression);
}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{ manip }
