\name{MOUSEFUNCAT}
\alias{MOUSEFUNCAT}
\docType{data}
\title{ Mouse Mfun MIPS ID identifiers to FunCat mapping}
\description{
   This environment provides a mapping between \emph{Mus musculus} genes and FunCat classes
}
\usage{data(MOUSEFUNCAT)}
\format{
  An environment (hash table) with 18850 entries
}
\details{
The environment provides FunCat annotations for mouse genes (\url{http://mips.gsf.de/projects/funcat}).
Mfun identifiers are Keys and GO FunCat Values.
More precisely each Value is a list of lists. Each element of the outer list represent a mapping
to a GO term. The elements of the inner list are:
\item  FuncatID : FunCat Identifier
\item  Evidence : Evidence code: either "automatic" or "manually reviewed" 
\item  Mgi : Mgi identifier  
\item  Gene.Name : Name of the gene  
\item  Prot.Descr : Description of the gene product  
}
\source{
It is conformed to the Funcat funcat-2.1 scheme with the  MfungdAnnotation.xml annotation file available from MIPS:
 \url{ftp://ftpmips.gsf.de/MfunGD/MfungdAnnotation.xml.gz}.
}
\examples{
data(MOUSEFUNCAT)
mget(c("mcx001628","mcx001636"), MOUSEFUNCAT)
}
\keyword{datasets}
