\name{Map.ORF}
\alias{ORF2HGID}
\alias{HGID2ORF}
\alias{ORF2RefSeq}
\alias{RefSeq2ORF}
\docType{data}
\title{ Yeast ORF mappings}
\description{
  Environments mapping yeast ORFs to RefSeq and to HomoloGene IDs and viceversa.
}
\usage{
data(ORF2HGID)
data(HGID2ORF)
data(ORF2RefSeq)
data(RefSeq2ORF)
}
\format{
\code{ORF2HGID} is an environment (hash table) with 4739 entries
\code{HGID2ORF} is an environment (hash table) with 4739 entries
\code{ORF2RefSeq} is an environment (hash table) with 5877 entries
\code{RefSeq2ORF} is an environment (hash table) with 5873 entries
}
\details{
\code{ORF2HGID} and  \code{HGID2ORF} realize a mapping between yeast ORF ID and Homologene ID and viceversa.
\code{ORF2RefSeq} and \code{RefSeq2ORF} realize a mapping between yeast ORF ID to Refseq ID and viceversa.
}
\source{
Data for \code{ORF2HGID} and  \code{HGID2ORF} have been obtained from the \emph{ensembl} web site 
(\url{http://www.ensembl.org}) and from the Bioconductor package \pkg{scehomology}.
Data for \code{ORF2RefSeq} and \code{RefSeq2ORF} have been obtained from the \emph{ensembl} web site 
(\url{http://www.ensembl.org}).
}
\examples{
data(ORF2HGID);
get("YPR104C",ORF2HGID);
data(RefSeq2ORF);
get("NP_878148", RefSeq2ORF);
}
\keyword{datasets}
