\name{Plot.distribution.gene.per.class}
\alias{Plot.distribution.gene.per.class}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{ Plot of the distribution of the number of examples per class }
\description{
  The function plots the number of classes with more than a given number of examples.
	It may be used with both GO and Funcat ontologies.
}
\usage{
Plot.distribution.gene.per.class(counts, card = 5:6000)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{counts}{ vector with the number of examples for each class }
  \item{card}{ vector with the considered number of examples per class }
}
\details{
  Abscissa represents the number of examples; the  ordinate the number of classes with equal or more
  examples than the corresponding abscissa.
}
\value{
 A graph representing the number of classes with equal or more examples than a given value represented in abscissa. 
Abscissa is represented in logarithmic scale.
}
\seealso{ \code{\link{Plot.histogram.gene.per.class}} }
\examples{
Yeast.specific <- Get.yeast.GO.specific.classes();
Yeast.specific.classes <- Build.GO.class.labels(Yeast.specific);
l <- Count.examples.per.class(Yeast.specific.classes);
Plot.distribution.gene.per.class(l[[1]], card=1:5813)
}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{ hplot }

